# Class PageLocationCitation | AnthropicClient
Represents a citation for text within a page of a document.

# Class PageLocationCitation

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a citation for text within a page of a document.

    public class PageLocationCitation : Citation

Inheritance
  object
  Citation
  PageLocationCitation

Inherited Members
  Citation.Type
  Citation.CitedText
  Citation.DocumentIndex
  Citation.DocumentTitle
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### PageLocationCitation()

Initializes a new instance of the PageLocationCitation class.

    public PageLocationCitation()

## Properties

### EndPageNumber

Gets the end page number of the citation.

    [JsonPropertyName("end_page_number")]
    public int EndPageNumber { get; init; }

#### Property Value

int

### StartPageNumber

Gets the start page number of the citation.

    [JsonPropertyName("start_page_number")]
    public int StartPageNumber { get; init; }

#### Property Value

int